<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'vw_spa_lite_above_slider' ); ?>

  <?php if( get_theme_mod( 'vw_spa_lite_slider_hide_show', false) == 1 || get_theme_mod( 'vw_spa_lite_resp_slider_hide_show', false) == 1) { ?>
    <section id="slider">
      <?php if(get_theme_mod('vw_spa_lite_slider_type', 'Default slider') == 'Default slider' ){ ?>
      <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel" data-bs-interval="<?php echo esc_attr(get_theme_mod( 'vw_spa_lite_slider_speed',4000)) ?>">
        <?php $vw_spa_lite_slider_pages = array();
          for ( $count = 1; $count <= 3; $count++ ) {
            $mod = intval( get_theme_mod( 'vw_spa_lite_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $vw_spa_lite_slider_pages[] = $mod;
            }
          }
          if( !empty($vw_spa_lite_slider_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $vw_spa_lite_slider_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php if(has_post_thumbnail()){
                the_post_thumbnail();
              } else{?>
                <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/block-patterns/images/banner.png" alt="" />
              <?php } ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <?php if( get_theme_mod('vw_spa_lite_slider_title_hide_show',true) == 1){ ?>
                    <h1 class=" wow bounceInDown delay-1000" data-wow-duration="2s"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <?php } ?>
                  <?php if( get_theme_mod('vw_spa_lite_slider_content_hide_show',true) == 1){ ?>
                    <p class=" wow bounceInDown delay-1000" data-wow-duration="2s"><?php $vw_spa_lite_excerpt = get_the_excerpt(); echo esc_html( vw_spa_lite_string_limit_words( $vw_spa_lite_excerpt, esc_attr(get_theme_mod('vw_spa_lite_slider_excerpt_number','30')))); ?></p>
                  <?php } ?>
                  <?php if( get_theme_mod('vw_spa_lite_slider_button_hide_show',true) == 1){ ?>
                    <?php if( get_theme_mod('vw_spa_lite_slider_button_text','Read More...') != ''){ ?>
                       <div class=" more-btn wow bounceInDown delay-1000" data-wow-duration="2s">              
                        <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_spa_lite_slider_button_text',__('Read More...','vw-spa-lite')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_spa_lite_slider_button_text',__('Read More...','vw-spa-lite')));?></span></a>
                      </div>
                    <?php } ?>
                  <?php } ?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <a class="carousel-control-prev" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev" role="button">
          <span class="carousel-control-prev-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous','vw-spa-lite' );?></span>
        </a>
        <a class="carousel-control-next" data-bs-target="#carouselExampleCaptions" data-bs-slide="next" role="button">
          <span class="carousel-control-next-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next','vw-spa-lite' );?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
        <?php } else if(get_theme_mod('vw_spa_lite_slider_type', 'Advance slider') == 'Advance slider'){?>
          <?php echo do_shortcode(get_theme_mod('vw_spa_lite_advance_slider_shortcode')); ?>
        <?php } ?>
    </section> 
  <?php }?>

  <?php do_action( 'vw_spa_lite_after_slider' ); ?>

  <?php /*--our service section--*/?>
  <?php if( get_theme_mod( 'vw_spa_lite_main_title') != '' || get_theme_mod( 'vw_spa_lite_short_desc' )!= '' || get_theme_mod( 'vw_spa_lite_service_category_setting')!= '') { ?>
    <section id="amazing-service" class="darkbox wow slideInRight delay-1000" data-wow-duration="2s">
    	<?php if( get_theme_mod('vw_spa_lite_main_title') != ''){ ?>
    	    <div class="heading-line">
    	      	<h2><?php echo esc_html(get_theme_mod('vw_spa_lite_main_title','')); ?> </h2>
    	      	<p><?php echo esc_html(get_theme_mod('vw_spa_lite_short_desc','')); ?> </p>
    	      	<div class="images_border">
        				<img src="<?php echo esc_url(get_template_directory_uri().'/images/heading-boder.png'); ?>" alt="<?php the_title(); ?> post thumbnail image">
        			</div>
    	    </div>
        <?php } ?>
        <?php do_action( 'vw_spa_lite_after_service' ); ?>
    	<div class="container">
    		<div class="row">
    			<?php 
             $vw_spa_lite_catData1=  get_theme_mod('vw_spa_lite_service_category_setting');
              if($vw_spa_lite_catData1){
    			    $page_query = new WP_Query(array( 'category_name' => esc_html($vw_spa_lite_catData1 ,'vw-spa-lite')));?>
    			  	<?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
    			  		<div class="col-lg-4 col-md-6">
    			  			<div class="amazing-box">
    					    	<div class="amaze-img-box">
    					    		<?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?><?php } ?>
    					    	</div>
    					    	<div class="amaze-con-box">
    					    		<h3><?php the_title(); ?></h3>
    					    		<p><?php $vw_spa_lite_excerpt = get_the_excerpt(); echo esc_html( vw_spa_lite_string_limit_words( $vw_spa_lite_excerpt,25 ) ); ?></p>
                      <?php if( get_theme_mod('vw_spa_lite_services_button_text','Read More...') != ''){ ?>
    					    		 <a class="r_button"  href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('vw_spa_lite_services_button_text',__('Read More...','vw-spa-lite')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_spa_lite_services_button_text',__('Read More...','vw-spa-lite')));?></span></a>  
                      <?php } ?>
    					    	</div>
    					    </div>
    				    </div>
    				<?php endwhile;
    				wp_reset_postdata(); 
    			}?>
    			<div class="clearfix"></div>
    		</div>
    	</div>
    </section>
  <?php }?>
  <?php do_action( 'vw_spa_lite_after_ourservices' ); ?>

  <div class="container">
  	<?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>